package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.RiwayatKelahiranYangLalu;
import com.jasamedika.medifirst2000.vo.RiwayatKelahiranYangLaluVO;

/**
 * Converter class between RiwayatKelahiranYangLaluConverter
 * 
 * @author Askur
 */
@Component
public class RiwayatKelahiranYangLaluConverter implements BaseVoConverter<RiwayatKelahiranYangLaluVO, RiwayatKelahiranYangLalu> {
	

	public RiwayatKelahiranYangLalu transferVOToModel(RiwayatKelahiranYangLaluVO vo, RiwayatKelahiranYangLalu model) {
		if (null == model)
			model = new RiwayatKelahiranYangLalu();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, RiwayatKelahiranYangLalu.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<RiwayatKelahiranYangLaluVO> transferListOfModelToListOfVO(List<RiwayatKelahiranYangLalu> models,
			List<RiwayatKelahiranYangLaluVO> vos) {
		if (null == vos)
			vos = new ArrayList<RiwayatKelahiranYangLaluVO>();

		if (null == models)
			return vos;

		for (RiwayatKelahiranYangLalu RiwayatKelahiranYangLalu : models) {
			RiwayatKelahiranYangLaluVO vo = new RiwayatKelahiranYangLaluVO();
			vo = transferModelToVO(RiwayatKelahiranYangLalu, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public RiwayatKelahiranYangLaluVO transferModelToVO(RiwayatKelahiranYangLalu model, RiwayatKelahiranYangLaluVO vo) {

		if (null == vo)
			vo = new RiwayatKelahiranYangLaluVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, RiwayatKelahiranYangLaluVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
